Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class NoSuchAlgorithmException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException
                        |
                        +--java.security.NoSuchAlgorithmException

All Implemented Interfaces:
  Serializable

public class NoSuchAlgorithmException
extends GeneralSecurityException

This exception is thrown when a particular cryptographic algorithm is requested but is not available in the environment.

See Also:
  Serialized Form

Constructor Summary
`NoSuchAlgorithmException()` Constructs a NoSuchAlgorithmException with no detail message.
`NoSuchAlgorithmException(String msg)` Constructs a NoSuchAlgorithmException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchAlgorithmException

    public NoSuchAlgorithmException()

  Constructs a NoSuchAlgorithmException with no detail message. A detail message is a String that describes this particular exception.

### NoSuchAlgorithmException

    public NoSuchAlgorithmException(String msg)

  Constructs a NoSuchAlgorithmException with the specified detail message. A detail message is a String that describes this particular exception, which may, for example, specify which algorithm is not available.
  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Java is a trademark or registred trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,
Palo, Alto, California, 94303, U.S.A All Rights Reserved. < /font >